%define upstream_name    MetaCPAN-Client
%define upstream_version 2.016000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Distribution data object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::SSLeay)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Search::Elasticsearch) >= 1.100.0
BuildRequires: perl(Search::Elasticsearch::Scroll)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch:  noarch

%description
This is a hopefully-complete API-compliant client to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i s/7.11/7.04/ Makefile.PL 

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.16.0-2pclos2017
- rebuild against updates

